<?
if ($_SESSION['username'] == "admin") {


if ($_GET['gid'] == "1") {
	$msg = "<span class=\"nowrap\">".$lang->get("You cannot suspend entire group \"default\".")."</span>";
	$statusBarMessage[] = array($msg, 1);
} else {
	$groupInfo = $auth->getGroupInfo($_GET['gid']);
	if ($auth->updateGroup($_GET['gid'], array("suspended" => "1"))) {
			$log->act("0", "group suspend", $groupInfo['name']." (".$_GET['gid'].")");
			$msg = "<span class=\"nowrap\">".$lang->get("Group \"%1\" suspended.", array($groupInfo['name']))."</span>";
			$statusBarMessage[] = array($msg, 0);
	} else {
		$log->act("1", "group suspend", $groupInfo['name']." (".$_GET['gid'].")");
		$msg = "<span class=\"nowrap\">".$lang->get("Failed to suspend group \"%1\".", array($groupInfo['name']))."</span>";
		$statusBarMessage[] = array($msg, 1);
	}
}

}
?>